Package org.eclipse.net4j.util.io

# Interface ExtendedDataInput

All Superinterfaces:
  `DataInput`

All Known Implementing Classes:
  `DataInputExtender`, `ExtendedDataInput.Delegating`, `ExtendedDataInputStream`

public interface ExtendedDataInput extends DataInput

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ExtendedDataInput.Delegating`
`static class`
`ExtendedDataInput.Stream`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`readByteArray()`
`<T extends Enum<?>>
T`
`readEnum(Class<T> type)`
`Throwable`
`readException()`
`Object`
`readObject()`
`Object`
`readObject(ClassLoader classLoader)`
`Object`
`readObject(ExtendedIOUtil.ClassResolver classResolver)`
`default Object`
`readObject(ExtendedIOUtil.ClassResolver classResolver, ObjectInputFilter filter)`
`String`
`readString()`
`int`
`readVarInt()`
`long`
`readVarLong()`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

## Method Details

### readVarInt

int readVarInt() throws IOException

Throws:
  `IOException`
Since:
  3.7

### readVarLong

long readVarLong() throws IOException

Throws:
  `IOException`
Since:
  3.7

### readByteArray

byte[] readByteArray() throws IOException

Throws:
  `IOException`

### readObject

Object readObject() throws IOException

Throws:
  `IOException`

### readObject

Object readObject(ClassLoader classLoader) throws IOException

Throws:
  `IOException`

### readObject

Object readObject(ExtendedIOUtil.ClassResolver classResolver) throws IOException

Throws:
  `IOException`

### readObject

default Object readObject(ExtendedIOUtil.ClassResolver classResolver, ObjectInputFilter filter) throws IOException

Throws:
  `IOException`
Since:
  3.30

### readString

String readString() throws IOException

Throws:
  `IOException`

### readEnum

<T extends Enum<?>> T readEnum(Class<T> type) throws IOException

Throws:
  `IOException`
Since:
  3.0

### readException

Throwable readException() throws IOException

Throws:
  `IOException`
Since:
  3.4